Ian Bicking: the old part of his blog

Comment

An extra 2 cents, I might add,

I feel the biggest problem is establishing a CPAN (or PyPi if you like) repository that allows such versioning, as well as binary compatability issues, and implementing this logic in pythons core through a PEP so that python inately asses which versions are specified/available/downbloadable etc.

This could allow python to satisify its import dependencies on the fly in future.
Along with move forward to newer versions automatically, with the ability to stop at any level, warn, halt, etc.
Comment on Versioned Imports
by Clayton Brown